/* main.css */

/* Global variables */
:root {
    --primary-color: #181599;
    --secondary-color: #971FAA;
    --white-color: #ffffff;
}
/* Global styles */
body {
    background-image: url(/wp-content/uploads/2024/07/iPhone-14-15-Pro-Max-1-1.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    color: #fff;
    font-family: "DM Sans", sans-serif;

}
.container {
    max-width: 90%;
    margin: 0 auto;
    padding-left: 20px;
    padding-right: 20px;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
h1, h2, h3, h4, h5, h6 {
    font-family: "Poppins", sans-serif;
    margin: 0;
}
/* font size*/
h1 {
    font-size: 52px;
    line-height: 1.4;
}
h2 {
    font-size: 42px;
    line-height: 1.4;
}
p {
    /*font-family: "Alegreya Sans", sans-serif;*/
    font-size: 20px;
    line-height: 1.4;
}
.row{
    display: flex;
}
/*button*/
.button {
    background: linear-gradient(84.96deg, #181599 8.01%, #971FAA 94.24%);
    padding: 7px 20px 7px 20px;
    border-radius: 8px;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.155px;
    cursor:pointer;
    border: 0;
}
.button:hover {
    background: linear-gradient(252deg, #181599 8.01%, #971FAA 94.24%);
    color: #fff;
}
/*=================== Header css ========================*/
.site-header {
    background-color: #000000;
    padding: 10px 0px;
}
.site-header .row {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
/*=================== Home Page ========================*/
/*form*/
form.search-form {
    margin-top: 28px;
}
input.search-field {
    padding: 11px 14px 12px 46px;
    border-radius: 16px;
    border: 1px solid #FFFFFF;
    backdrop-filter: blur(3px);
    background-color: rgb(255 255 255 / 40%);
    color: #fff !important;
    font-size: 20px;
    letter-spacing: 0.155px;
    width: 80%;
    max-width: 935px;
}

img.search-form-icon {
    position: absolute;
    z-index: 1;
    top: -4px;
    left: 4px;
}
.search-form label {
    position: relative;
}
input.search-field::placeholder {
    color: #fff;
}
.search-submit {
    width: 150px;
    margin-left: -165px;
    z-index: 1;
    position: relative;
}
/*banner*/
.home-banner {
    background-image: url("/wp-content/uploads/2024/06/Home-Banner-Bg.jpg");
    min-height: 90vh;
    padding: 80px 0px;
    display: flex;
    align-items: center;
}
.home-banner-inner {
    text-align: center;
}
.home-banner .container {
    width: 80%;
}
/* categories section*/
.categories-main-text {
    text-align: center;
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
    margin-bottom: 60px;
}


.categories-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 40px;
}
.category-card {
    position: relative;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(10px);
    padding: 25px;
    border-radius: 30px;
    overflow: hidden;
    z-index: 1;
    display: flex;
    flex-direction: column;
    gap: 15px;
}
.category-card::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    border-radius: inherit;
    padding: 1px;
    background: linear-gradient(107.21deg, #FFFFFF 1.75%, rgba(255, 255, 255, 0) 24.4%, rgba(255, 255, 255, 0) 79.53%, #FFFFFF 100%);
    -webkit-mask:
            linear-gradient(#fff 0 0) content-box,
            linear-gradient(#fff 0 0);
    mask:
            linear-gradient(#fff 0 0) content-box,
            linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
}
.category-card:hover {
    background: linear-gradient(84.96deg, #181599 8.01%, #971FAA 94.24%);
}
.category-card h2 {
    font-size: 28px;
    margin-bottom: 14px;
}
.category-card p {
    font-size: 18px;
    font-weight: 300;
    line-height: 28px;
    font-family: "Alegreya Sans", sans-serif;
    margin-bottom: 30px;
}
.category-card .category-image {
    border-radius: 30px;
}
.read-more {
    position: relative;
    display: flex;
    gap: 5px;
    align-items: center;
    color: #ffffff;
    text-decoration: none;
}
.read-more::before {
    content: "";
    background: linear-gradient(84.96deg, #181599 8.01%, #971FAA 94.24%);
    position: absolute;
    width: 26px;
    height: 26px;
    z-index: -1;
    border-radius: 50%;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}
.category-card:hover .read-more::before {
    background: linear-gradient(84.96deg, #000000 8.01%, #000000 94.24%);
}
.home-banner {
    position: relative;
    width: 100%;
    height: 80vh; /* Adjust height as needed */
    overflow: hidden;
}

.home-banner-video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, -50%);
    z-index: 0; /* Ensure the video is behind the content */
}
.home-banner-inner {
    position: relative;
    z-index: 1;
    text-align: center;
    color: #fff; /* Adjust text color as needed */
}

@media (max-width: 767px) {
    .container {
        max-width: 100%;
    }
    header .container {
        gap: 30px;
        align-items: center;
    }
    header .site-branding {
        flex: 1 0 50%;
    }
    header .button {
        flex: 50%;
        max-width: 100px;
        text-align: center;
    }
    .home-banner h1 {
        font-size: 36px;
    }
    .home-banner .container {
        max-width: 100%;
        width: 100%;
    }
    .search-submit {
        width: unset;
        margin-left: unset;
        position: absolute;
        right: 10px;
        top: 7px;
    }
    .search-form {
        position: relative;
    }
    .home-banner input.search-field {
        width: 100%;
    }
    .categories-wrapper {
        grid-template-columns: 1fr;
    }
    .footer-content {
        flex-direction: column;
        gap: 25px;
    }
    .footer-bottom {
        flex-direction: column;
        gap: 25px;
    }
}
@media (min-width: 768px) and (max-width: 1024px) {
    .container {
        max-width: 100%;
    }
}
